%define version 0.8.7
%define release %mkrel 4

Summary: 	GNOME 2D chemical structure drawing tool
Name: 		gchempaint
Version: 	%{version}
Release: 	%{release}
URL: 		http://www.nongnu.org/gchempaint/
License: 	GPLv2+ and LGPLv2+
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

Source0: 	http://savannah.nongnu.org/releases/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:		gchempaint-0.8.7-fix-underlinking.patch
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	gcu-devel >= 0.8.6
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser
BuildRequires:	scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	autoconf automake
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils
BuildRequires:	libxslt-proc
BuildRequires:	libgcrypt-devel
Requires:	ps2eps gtkglext
Requires:	gnome-chemistry-utils
Requires(preun): scrollkeeper
Requires(preun): shared-mime-info
Requires(post): scrollkeeper
Requires(post): shared-mime-info
Obsoletes:	%mklibname %name 0

%description
GChemPaint is a 2D chemical structures editor for the Gnome-2 desktop.  
GChemPaint is a multi-document application and will be a bonobo server so 
that some chemistry could be embedded in Gnome applications such as 
Gnumeric and Abiword.

%package devel
Summary: Gchempaint library headers and development libraries
Group: Development/Other
Requires: %{name} = %{version}
Conflicts: %{name} < 0.8.4
Obsoletes: %mklibname -d %name 0

%description devel
Gchempaint devel files


%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-update-databases --disable-schemas-install
perl -p -i -e 's|/usr/local/include/gchemutils|/usr/include/gchemutils||g' `find -name 'Makefile'`
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std _ENABLE_SK=false

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="Science;Chemistry" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir}
install -m 0644 -D    gchempaint48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 gchempaint48.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 gchempaint48.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome --all-name

# asdfasdfdsaf
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/ui/gchempaint.xml

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %mdkversion < 200900
%update_menus
%update_scrollkeeper
%post_install_gconf_schemas gchempaint-arrows gchempaint
%update_desktop_database
%update_icon_cache hicolor
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%preun 
%preun_uninstall_gconf_schemas gchempaint-arrows gchempaint

%postun
%if %mdkversion < 200900
%clean_menus
%clean_scrollkeeper
%clean_desktop_database
%clean_icon_cache hicolor
%endif
%if %mdkversion < 200900
/sbin/ldconfig
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/mime/packages/gchempaint.xml
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*.so
%dir %{_libdir}/goffice/*/plugins/%name
%{_libdir}/goffice/*/plugins/%name/*.so
%{_libdir}/goffice/*/plugins/%name/*.xml
%_libdir/libgchempaint-%{version}.so
%_libdir/libgcpcanvas-%{version}.so

%files devel
%defattr(-,root,root)
%_libdir/libgchempaint.so
%_libdir/libgcpcanvas.so
%_libdir/*.la
%_libdir/%{name}/plugins/*.la
%{_libdir}/goffice/*/plugins/%name/*.la


%changelog
* Mon Aug 11 2008 Emmanuel Andry <eandry@mandriva.org> 0.8.7-4mdv2009.0
+ Revision: 270773
- rebuild for openbabel

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 0.8.7-3mdv2009.0
+ Revision: 264037
- fix underlinking

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 163623
- lower gcu version
- New version 0.8.7

* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.8.6-1mdv2008.1
+ Revision: 158389
- New version 0.8.6

* Sun Dec 23 2007 Funda Wang <fundawang@mandriva.org> 0.8.5-1mdv2008.1
+ Revision: 137301
- New version 0.8.5

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Funda Wang <fundawang@mandriva.org> 0.8.4-1mdv2008.1
+ Revision: 105616
- correct license
- add conflicts to ease upgrade
- install gchempaint schema
- move *.la into devel package as fedora
- drop libpackage because it does not contains versioned lib anymore
- New version 0.8.4

* Tue Jul 31 2007 Funda Wang <fundawang@mandriva.org> 0.8.2-1mdv2008.0
+ Revision: 56879
- fix file list
- BR libgcrypt
- New verison 0.8.2
- New version

* Mon May 14 2007 Austin Acton <austin@mandriva.org> 0.7.96-3mdv2008.0
+ Revision: 26731
- fix file list

* Fri May 11 2007 Austin Acton <austin@mandriva.org> 0.7.96-2mdv2008.0
+ Revision: 26413
- patch to fix segfault

* Fri May 11 2007 Austin Acton <austin@mandriva.org> 0.7.96-1mdv2008.0
+ Revision: 26376
- new version
- requires equal version of gnome-chemistry-utils


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.8-1mdv2007.0
+ Revision: 132105
- forgot xdg tag

* Thu Mar 01 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.8-1mdv2007.1
+ Revision: 130243
- buildrequires libxslt-proc
- fix buildrequires
- buildrequires intltool
- buildrequires autoconf2.5
- New release 0.6.8
- %%mkrel
- xdg
- Import gchempaint

* Sat Apr 01 2006 Austin Acton <austin@mandriva.org> 0.6.4-1mdk
- New release 0.6.4
- fix URL

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 0.5.6-3mdk
- fix typo in summary

* Mon Sep 05 2005 Michael Scherer <misc@mandriva.org> 0.5.6-2mdk
- Rebuild to avoid libglitz deps

* Mon Aug 22 2005 Austin Acton <austin@mandriva.org> 0.5.6-1mdk
- New release 0.5.6

* Sun Jun 19 2005 Austin Acton <austin@mandriva.org> 0.5.5-1mdk
- 0.5.5

* Fri Mar 04 2005 Austin Acton <austin@mandrake.org> 0.5.4-1mdk
- 0.5.4
- fix source URL

* Mon Jan 17 2005 Austin Acton <austin@mandrake.org> 0.5.3-2mdk
- requires ps2eps and gtkglext

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.3-1mdk 
- Release 0.5.3
- Rebuild with latest howl

* Tue Dec 07 2004 Abel Cheung <deaddog@mandrake.org> 0.5.2-3mdk
- Yet another BuildRequires update

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.5.2-2mdk
- Fix BuildRequires
- Update mime database in scriplets

* Thu Nov 18 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- 0.5.2
- patch to disable mimetypes update during install

* Thu Jun 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- rebuild

